-- Admins
admins = {"admin@yourjid", "admin2@yourjid"}

-- General POSIX Settings
use_libevent = true;
prosody_user = "root"
run_as_root = true 
pidfile = "/usr/local/var/lib/prosody/prosody.pid"

-- Module / Plugins
modules_enabled = {
		"s2s"; -- Fremde XMPP Server können verbinden.
		"dialback"; -- TLS Replay für fremde XMPP Server
		"lastactivity"; -- Lastseen usw.
		"roster"; -- Allow users to have a roster. Recommended ;)
		"saslauth"; -- Authentication for clients and servers. Recommended if you want to log in.
		"tls"; -- Add support for secure TLS on c2s/s2s connections
		"disco"; -- Service discovery
		"posix"; -- POSIX functionality, sends server to background, enables syslog, etc.
		"cloud_notify"; -- Später für Pubsub Push Notifications
		"blocklist"; -- Blacklist Support
		"private"; 
		"profile"; -- New VCard 4 Support usw.
		"http_upload"; -- HTTP Upload für Filetransfer
		"smacks"; -- Fehlerfreie Nachrichten Zustellung
		"smacks_offline"; -- Fehlerfreie Nachrichten Zustellung für Offline Handling!!! Wichtig!
		"carbons"; -- Multi Using von Clienten zum Nachrichten sync
		"idlecompat"; 
		"throttle_presence"; -- Akku schonend zur Status Änderung von Offline zu Online.
		"version"; -- Replies to server version requests
		"uptime"; -- Report how long server has been running
		"time"; -- Let others know the time here on this server
		"ping"; -- Replies to XMPP pings with pongs
		"register"; -- Allow users to register on this server using a client and change passwords
		"admin_adhoc"; -- Allows administration via an XMPP client that supports ad-hoc commands
		"bosh"; -- Enable BOSH clients, aka "Jabber over HTTP"
		"http"; -- Serve static files from a directory over HTTP
		"groups"; -- Shared roster support
		"announce"; -- Send announcement to all online users
		"welcome"; -- Welcome users who register accounts
		"watchregistrations"; -- Alert admins of registrations
		--"motd"; -- Send a message to users when they log in
		--"websocket";
};
modules_disabled = {
};

-- General Settings
restrict_room_creation = false;
allow_registration = true;
authentication = "internal_plain"
welcome_message = "Herzlich Willkommen bei unseren XMPP Server..."

-- General Auth Stuff
cross_domain_bosh = true;
consider_bosh_secure = true;
consider_websocket_secure = true;

-- HTTP Upload Optionen
http_upload_file_size_limit = "999999999"; -- Größe in Bytes
http_upload_path = "/home/uploads/" -- Pfad zum HTTP Upload Zeugs

-- Logging
log = {
    info = "/usr/local/etc/prosody/prosody.log";
    error = "/usr/local/etc/prosody/prosody.err";
    { levels = { "error" }; to = "syslog";  };
}

-- Vhost Settings
VirtualHost "myjid.com"
ssl = { 
  key = "/usr/local/etc/prosody/certs/mycert.key";
  certificate = "/usr/local/etc/prosody/certs/mycert.crt";
		}
	enabled = true 
   
-- Components / Transports   
Component "chat.myjid.com" "muc"
Component "upload.myjid.com" "http_upload"



